{
  "name": "discord-music-bot",
  "version": "1.0.0",
  "description": "",
  "type": "module",
  "main": "dist/index.js",
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "build:deploy": "tsc -p tsconfig.deploy.json",
    "build:all": "npm run build && npm run build:deploy",
    "start": "node dist/index.js",
    "dev": "ts-node-dev --respawn --transpile-only src/index.ts",
    "lint": "eslint .",
    "format": "prettier --write src/**/*.ts deploy-commands.ts",
    "prepare": "npm run build:all"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "dependencies": {
    "discord.js": "^14.18.0",
    "dotenv": "^16.5.0",
    "shoukaku": "^4.1.1",
    "winston": "^3.17.0"
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3.3.1",
    "@types/js-yaml": "^4.0.9",
    "@types/node": "^22.14.1",
    "js-yaml": "^4.1.0",
    "npm": "^11.3.0",
    "prettier": "^3.5.3",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.8.3"
  }
}
